# frontrunner-python-sdk
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python &gt;&#x3D;3.7

## Migration from other generators like python and python-legacy

### Changes
1. This generator uses spec case for all (object) property names and parameter names.
    - So if the spec has a property name like camelCase, it will use camelCase rather than camel_case
    - So you will need to update how you input and read properties to use spec case
2. Endpoint parameters are stored in dictionaries to prevent collisions (explanation below)
    - So you will need to update how you pass data in to endpoints
3. Endpoint responses now include the original response, the deserialized response body, and (todo)the deserialized headers
    - So you will need to update your code to use response.body to access deserialized data
4. All validated data is instantiated in an instance that subclasses all validated Schema classes and Decimal/str/list/tuple/frozendict/NoneClass/BoolClass/bytes/io.FileIO
    - This means that you can use isinstance to check if a payload validated against a schema class
    - This means that no data will be of type None/True/False
        - ingested None will subclass NoneClass
        - ingested True will subclass BoolClass
        - ingested False will subclass BoolClass
        - So if you need to check is True/False/None, instead use instance.is_true_oapg()/.is_false_oapg()/.is_none_oapg()
5. All validated class instances are immutable except for ones based on io.File
    - This is because if properties were changed after validation, that validation would no longer apply
    - So no changing values or property values after a class has been instantiated
6. String + Number types with formats
    - String type data is stored as a string and if you need to access types based on its format like date,
    date-time, uuid, number etc then you will need to use accessor functions on the instance
    - type string + format: See .as_date_oapg, .as_datetime_oapg, .as_decimal_oapg, .as_uuid_oapg
    - type number + format: See .as_float_oapg, .as_int_oapg
    - this was done because openapi/json-schema defines constraints. string data may be type string with no format
    keyword in one schema, and include a format constraint in another schema
    - So if you need to access a string format based type, use as_date_oapg/as_datetime_oapg/as_decimal_oapg/as_uuid_oapg
    - So if you need to access a number format based type, use as_int_oapg/as_float_oapg
7. Property access on AnyType(type unset) or object(dict) schemas
    - Only required keys with valid python names are properties like .someProp and have type hints
    - All optional keys may not exist, so properties are not defined for them
    - One can access optional values with dict_instance['optionalProp'] and KeyError will be raised if it does not exist
    - Use get_item_oapg if you need a way to always get a value whether or not the key exists
        - If the key does not exist, schemas.unset is returned from calling dict_instance.get_item_oapg('optionalProp')
        - All required and optional keys have type hints for this method, and @typing.overload is used
        - A type hint is also generated for additionalProperties accessed using this method
    - So you will need to update you code to use some_instance['optionalProp'] to access optional property
    and additionalProperty values
8. The location of the api classes has changed
    - Api classes are located in your_package.apis.tags.some_api
    - This change was made to eliminate redundant code generation
    - Legacy generators generated the same endpoint twice if it had > 1 tag on it
    - This generator defines an endpoint in one class, then inherits that class to generate
      apis by tags and by paths
    - This change reduces code and allows quicker run time if you use the path apis
        - path apis are at your_package.apis.paths.some_path
    - Those apis will only load their needed models, which is less to load than all of the resources needed in a tag api
    - So you will need to update your import paths to the api classes

### Why are Oapg and _oapg used in class and method names?
Classes can have arbitrarily named properties set on them
Endpoints can have arbitrary operationId method names set
For those reasons, I use the prefix Oapg and _oapg to greatly reduce the likelihood of collisions
on protected + public classes/methods.
oapg stands for OpenApi Python Generator.

### Object property spec case
This was done because when payloads are ingested, they can be validated against N number of schemas.
If the input signature used a different property name then that has mutated the payload.
So SchemaA and SchemaB must both see the camelCase spec named variable.
Also it is possible to send in two properties, named camelCase and camel_case in the same payload.
That use case should be support so spec case is used.

### Parameter spec case
Parameters can be included in different locations including:
- query
- path
- header
- cookie

Any of those parameters could use the same parameter names, so if every parameter
was included as an endpoint parameter in a function signature, they would collide.
For that reason, each of those inputs have been separated out into separate typed dictionaries:
- query_params
- path_params
- header_params
- cookie_params

So when updating your code, you will need to pass endpoint parameters in using those
dictionaries.

### Endpoint responses
Endpoint responses have been enriched to now include more information.
Any response reom an endpoint will now include the following properties:
response: urllib3.HTTPResponse
body: typing.Union[Unset, Schema]
headers: typing.Union[Unset, TODO]
Note: response header deserialization has not yet been added


## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import frontrunner_python_sdk
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import frontrunner_python_sdk
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import frontrunner_python_sdk
from pprint import pprint
from frontrunner_python_sdk.apis import abbreviated_people_api
from frontrunner_python_sdk.model.person_part import PersonPart
# Defining the host is optional and defaults to https://test.frontrunnerapp.dev
# See configuration.py for a list of all supported configuration parameters.
configuration = frontrunner_python_sdk.Configuration(
    host = "https://test.frontrunnerapp.dev"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicAuth
configuration = frontrunner_python_sdk.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Configure API key authorization: cookieAuth
configuration.api_key['cookieAuth'] = 'YOUR_API_KEY'

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['cookieAuth'] = 'Bearer'

# Configure Bearer authorization (JWT): firebaseAuth
configuration = frontrunner_python_sdk.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)

# Configure API key authorization: tokenAuth
configuration.api_key['tokenAuth'] = 'YOUR_API_KEY'

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['tokenAuth'] = 'Bearer'

# Enter a context with an instance of the API client
with frontrunner_python_sdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = abbreviated_people_api.AbbreviatedPeopleApi(api_client)
    search = "search_example" # str | A search term. (optional)

    try:
        api_response = api_instance.abbreviated_people_list(search=search)
        pprint(api_response)
    except frontrunner_python_sdk.ApiException as e:
        print("Exception when calling AbbreviatedPeopleApi->abbreviated_people_list: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://test.frontrunnerapp.dev*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AbbreviatedPeopleApi* | [**abbreviated_people_list**](docs/apis/tags/AbbreviatedPeopleApi.md#abbreviated_people_list) | **get** /abbreviated_people/ | 
*AbbreviatedPeopleApi* | [**abbreviated_people_retrieve**](docs/apis/tags/AbbreviatedPeopleApi.md#abbreviated_people_retrieve) | **get** /abbreviated_people/{id}/ | 
*AbbreviatedUsersApi* | [**abbreviated_users_list**](docs/apis/tags/AbbreviatedUsersApi.md#abbreviated_users_list) | **get** /abbreviated_users/ | 
*AbbreviatedUsersApi* | [**abbreviated_users_retrieve**](docs/apis/tags/AbbreviatedUsersApi.md#abbreviated_users_retrieve) | **get** /abbreviated_users/{id}/ | 
*ApiApi* | [**api_token_create**](docs/apis/tags/ApiApi.md#api_token_create) | **post** /api/token/ | 
*FeedApi* | [**feed_create**](docs/apis/tags/FeedApi.md#feed_create) | **post** /feed/ | 
*FeedApi* | [**feed_destroy**](docs/apis/tags/FeedApi.md#feed_destroy) | **delete** /feed/{id}/ | 
*FeedApi* | [**feed_list**](docs/apis/tags/FeedApi.md#feed_list) | **get** /feed/ | 
*FeedApi* | [**feed_partial_update**](docs/apis/tags/FeedApi.md#feed_partial_update) | **patch** /feed/{id}/ | 
*FeedApi* | [**feed_retrieve**](docs/apis/tags/FeedApi.md#feed_retrieve) | **get** /feed/{id}/ | 
*FeedApi* | [**feed_update**](docs/apis/tags/FeedApi.md#feed_update) | **put** /feed/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_facebook_create**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_facebook_create) | **post** /integration_settings/facebook/ | 
*IntegrationSettingsApi* | [**integration_settings_facebook_destroy**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_facebook_destroy) | **delete** /integration_settings/facebook/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_facebook_list**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_facebook_list) | **get** /integration_settings/facebook/ | 
*IntegrationSettingsApi* | [**integration_settings_facebook_partial_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_facebook_partial_update) | **patch** /integration_settings/facebook/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_facebook_retrieve**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_facebook_retrieve) | **get** /integration_settings/facebook/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_facebook_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_facebook_update) | **put** /integration_settings/facebook/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_mailchimp_create**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_mailchimp_create) | **post** /integration_settings/mailchimp/ | 
*IntegrationSettingsApi* | [**integration_settings_mailchimp_destroy**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_mailchimp_destroy) | **delete** /integration_settings/mailchimp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_mailchimp_list**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_mailchimp_list) | **get** /integration_settings/mailchimp/ | 
*IntegrationSettingsApi* | [**integration_settings_mailchimp_partial_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_mailchimp_partial_update) | **patch** /integration_settings/mailchimp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_mailchimp_retrieve**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_mailchimp_retrieve) | **get** /integration_settings/mailchimp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_mailchimp_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_mailchimp_update) | **put** /integration_settings/mailchimp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_prompt_create**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_prompt_create) | **post** /integration_settings/prompt/ | 
*IntegrationSettingsApi* | [**integration_settings_prompt_destroy**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_prompt_destroy) | **delete** /integration_settings/prompt/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_prompt_list**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_prompt_list) | **get** /integration_settings/prompt/ | 
*IntegrationSettingsApi* | [**integration_settings_prompt_partial_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_prompt_partial_update) | **patch** /integration_settings/prompt/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_prompt_retrieve**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_prompt_retrieve) | **get** /integration_settings/prompt/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_prompt_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_prompt_update) | **put** /integration_settings/prompt/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_revv_create**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_revv_create) | **post** /integration_settings/revv/ | 
*IntegrationSettingsApi* | [**integration_settings_revv_destroy**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_revv_destroy) | **delete** /integration_settings/revv/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_revv_list**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_revv_list) | **get** /integration_settings/revv/ | 
*IntegrationSettingsApi* | [**integration_settings_revv_partial_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_revv_partial_update) | **patch** /integration_settings/revv/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_revv_retrieve**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_revv_retrieve) | **get** /integration_settings/revv/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_revv_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_revv_update) | **put** /integration_settings/revv/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_twitter_create**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_twitter_create) | **post** /integration_settings/twitter/ | 
*IntegrationSettingsApi* | [**integration_settings_twitter_destroy**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_twitter_destroy) | **delete** /integration_settings/twitter/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_twitter_list**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_twitter_list) | **get** /integration_settings/twitter/ | 
*IntegrationSettingsApi* | [**integration_settings_twitter_partial_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_twitter_partial_update) | **patch** /integration_settings/twitter/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_twitter_retrieve**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_twitter_retrieve) | **get** /integration_settings/twitter/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_twitter_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_twitter_update) | **put** /integration_settings/twitter/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_whatsapp_create**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_whatsapp_create) | **post** /integration_settings/whatsapp/ | 
*IntegrationSettingsApi* | [**integration_settings_whatsapp_destroy**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_whatsapp_destroy) | **delete** /integration_settings/whatsapp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_whatsapp_list**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_whatsapp_list) | **get** /integration_settings/whatsapp/ | 
*IntegrationSettingsApi* | [**integration_settings_whatsapp_partial_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_whatsapp_partial_update) | **patch** /integration_settings/whatsapp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_whatsapp_retrieve**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_whatsapp_retrieve) | **get** /integration_settings/whatsapp/{id}/ | 
*IntegrationSettingsApi* | [**integration_settings_whatsapp_update**](docs/apis/tags/IntegrationSettingsApi.md#integration_settings_whatsapp_update) | **put** /integration_settings/whatsapp/{id}/ | 
*IntegrationsApi* | [**integrations_mailchimp_create**](docs/apis/tags/IntegrationsApi.md#integrations_mailchimp_create) | **post** /integrations/mailchimp/ | 
*IntegrationsApi* | [**integrations_mailchimp_destroy**](docs/apis/tags/IntegrationsApi.md#integrations_mailchimp_destroy) | **delete** /integrations/mailchimp/{id}/ | 
*IntegrationsApi* | [**integrations_mailchimp_list**](docs/apis/tags/IntegrationsApi.md#integrations_mailchimp_list) | **get** /integrations/mailchimp/ | 
*IntegrationsApi* | [**integrations_mailchimp_partial_update**](docs/apis/tags/IntegrationsApi.md#integrations_mailchimp_partial_update) | **patch** /integrations/mailchimp/{id}/ | 
*IntegrationsApi* | [**integrations_mailchimp_retrieve**](docs/apis/tags/IntegrationsApi.md#integrations_mailchimp_retrieve) | **get** /integrations/mailchimp/{id}/ | 
*IntegrationsApi* | [**integrations_mailchimp_update**](docs/apis/tags/IntegrationsApi.md#integrations_mailchimp_update) | **put** /integrations/mailchimp/{id}/ | 
*IntegrationsApi* | [**integrations_prompt_create**](docs/apis/tags/IntegrationsApi.md#integrations_prompt_create) | **post** /integrations/prompt/ | 
*IntegrationsApi* | [**integrations_prompt_destroy**](docs/apis/tags/IntegrationsApi.md#integrations_prompt_destroy) | **delete** /integrations/prompt/{id}/ | 
*IntegrationsApi* | [**integrations_prompt_list**](docs/apis/tags/IntegrationsApi.md#integrations_prompt_list) | **get** /integrations/prompt/ | 
*IntegrationsApi* | [**integrations_prompt_partial_update**](docs/apis/tags/IntegrationsApi.md#integrations_prompt_partial_update) | **patch** /integrations/prompt/{id}/ | 
*IntegrationsApi* | [**integrations_prompt_retrieve**](docs/apis/tags/IntegrationsApi.md#integrations_prompt_retrieve) | **get** /integrations/prompt/{id}/ | 
*IntegrationsApi* | [**integrations_prompt_update**](docs/apis/tags/IntegrationsApi.md#integrations_prompt_update) | **put** /integrations/prompt/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweeters_create**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweeters_create) | **post** /integrations/twitter/tweeters/ | 
*IntegrationsApi* | [**integrations_twitter_tweeters_destroy**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweeters_destroy) | **delete** /integrations/twitter/tweeters/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweeters_list**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweeters_list) | **get** /integrations/twitter/tweeters/ | 
*IntegrationsApi* | [**integrations_twitter_tweeters_partial_update**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweeters_partial_update) | **patch** /integrations/twitter/tweeters/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweeters_retrieve**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweeters_retrieve) | **get** /integrations/twitter/tweeters/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweeters_update**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweeters_update) | **put** /integrations/twitter/tweeters/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweets_create**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweets_create) | **post** /integrations/twitter/tweets/ | 
*IntegrationsApi* | [**integrations_twitter_tweets_destroy**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweets_destroy) | **delete** /integrations/twitter/tweets/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweets_list**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweets_list) | **get** /integrations/twitter/tweets/ | 
*IntegrationsApi* | [**integrations_twitter_tweets_partial_update**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweets_partial_update) | **patch** /integrations/twitter/tweets/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweets_retrieve**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweets_retrieve) | **get** /integrations/twitter/tweets/{id}/ | 
*IntegrationsApi* | [**integrations_twitter_tweets_update**](docs/apis/tags/IntegrationsApi.md#integrations_twitter_tweets_update) | **put** /integrations/twitter/tweets/{id}/ | 
*IntegrationsAllApi* | [**integrations_all_list**](docs/apis/tags/IntegrationsAllApi.md#integrations_all_list) | **get** /integrations_all/ | 
*IntegrationsAllApi* | [**integrations_all_retrieve**](docs/apis/tags/IntegrationsAllApi.md#integrations_all_retrieve) | **get** /integrations_all/{id}/ | 
*NotesApi* | [**notes_create**](docs/apis/tags/NotesApi.md#notes_create) | **post** /notes/ | 
*NotesApi* | [**notes_destroy**](docs/apis/tags/NotesApi.md#notes_destroy) | **delete** /notes/{id}/ | 
*NotesApi* | [**notes_list**](docs/apis/tags/NotesApi.md#notes_list) | **get** /notes/ | 
*NotesApi* | [**notes_partial_update**](docs/apis/tags/NotesApi.md#notes_partial_update) | **patch** /notes/{id}/ | 
*NotesApi* | [**notes_retrieve**](docs/apis/tags/NotesApi.md#notes_retrieve) | **get** /notes/{id}/ | 
*NotesApi* | [**notes_update**](docs/apis/tags/NotesApi.md#notes_update) | **put** /notes/{id}/ | 
*PaginatedPeopleApi* | [**paginated_people_list**](docs/apis/tags/PaginatedPeopleApi.md#paginated_people_list) | **get** /paginated_people/ | 
*PeopleApi* | [**people_create**](docs/apis/tags/PeopleApi.md#people_create) | **post** /people/ | 
*PeopleApi* | [**people_destroy**](docs/apis/tags/PeopleApi.md#people_destroy) | **delete** /people/{id}/ | 
*PeopleApi* | [**people_list**](docs/apis/tags/PeopleApi.md#people_list) | **get** /people/ | 
*PeopleApi* | [**people_partial_update**](docs/apis/tags/PeopleApi.md#people_partial_update) | **patch** /people/{id}/ | 
*PeopleApi* | [**people_retrieve**](docs/apis/tags/PeopleApi.md#people_retrieve) | **get** /people/{id}/ | 
*PeopleApi* | [**people_update**](docs/apis/tags/PeopleApi.md#people_update) | **put** /people/{id}/ | 
*PullJobsApi* | [**pull_jobs_create**](docs/apis/tags/PullJobsApi.md#pull_jobs_create) | **post** /pull-jobs/ | 
*PullJobsApi* | [**pull_jobs_destroy**](docs/apis/tags/PullJobsApi.md#pull_jobs_destroy) | **delete** /pull-jobs/{id}/ | 
*PullJobsApi* | [**pull_jobs_list**](docs/apis/tags/PullJobsApi.md#pull_jobs_list) | **get** /pull-jobs/ | 
*PullJobsApi* | [**pull_jobs_partial_update**](docs/apis/tags/PullJobsApi.md#pull_jobs_partial_update) | **patch** /pull-jobs/{id}/ | 
*PullJobsApi* | [**pull_jobs_retrieve**](docs/apis/tags/PullJobsApi.md#pull_jobs_retrieve) | **get** /pull-jobs/{id}/ | 
*PullJobsApi* | [**pull_jobs_update**](docs/apis/tags/PullJobsApi.md#pull_jobs_update) | **put** /pull-jobs/{id}/ | 
*TagsApi* | [**tags_list**](docs/apis/tags/TagsApi.md#tags_list) | **get** /tags/ | 
*TagsApi* | [**tags_retrieve**](docs/apis/tags/TagsApi.md#tags_retrieve) | **get** /tags/{id}/ | 
*TasksApi* | [**tasks_create**](docs/apis/tags/TasksApi.md#tasks_create) | **post** /tasks/ | 
*TasksApi* | [**tasks_destroy**](docs/apis/tags/TasksApi.md#tasks_destroy) | **delete** /tasks/{id}/ | 
*TasksApi* | [**tasks_list**](docs/apis/tags/TasksApi.md#tasks_list) | **get** /tasks/ | 
*TasksApi* | [**tasks_partial_update**](docs/apis/tags/TasksApi.md#tasks_partial_update) | **patch** /tasks/{id}/ | 
*TasksApi* | [**tasks_retrieve**](docs/apis/tags/TasksApi.md#tasks_retrieve) | **get** /tasks/{id}/ | 
*TasksApi* | [**tasks_update**](docs/apis/tags/TasksApi.md#tasks_update) | **put** /tasks/{id}/ | 
*TenantsApi* | [**tenants_create**](docs/apis/tags/TenantsApi.md#tenants_create) | **post** /tenants/ | 
*TenantsApi* | [**tenants_destroy**](docs/apis/tags/TenantsApi.md#tenants_destroy) | **delete** /tenants/{id}/ | 
*TenantsApi* | [**tenants_list**](docs/apis/tags/TenantsApi.md#tenants_list) | **get** /tenants/ | 
*TenantsApi* | [**tenants_partial_update**](docs/apis/tags/TenantsApi.md#tenants_partial_update) | **patch** /tenants/{id}/ | 
*TenantsApi* | [**tenants_retrieve**](docs/apis/tags/TenantsApi.md#tenants_retrieve) | **get** /tenants/{id}/ | 
*TenantsApi* | [**tenants_update**](docs/apis/tags/TenantsApi.md#tenants_update) | **put** /tenants/{id}/ | 

## Documentation For Models

 - [Action](docs/models/Action.md)
 - [ActionActor](docs/models/ActionActor.md)
 - [ActionActorRequest](docs/models/ActionActorRequest.md)
 - [ActionObject](docs/models/ActionObject.md)
 - [ActionObjectRequest](docs/models/ActionObjectRequest.md)
 - [ActionRequest](docs/models/ActionRequest.md)
 - [ActionTarget](docs/models/ActionTarget.md)
 - [ActionTargetRequest](docs/models/ActionTargetRequest.md)
 - [Address](docs/models/Address.md)
 - [AddressRequest](docs/models/AddressRequest.md)
 - [AuthToken](docs/models/AuthToken.md)
 - [AuthTokenRequest](docs/models/AuthTokenRequest.md)
 - [Broadcast](docs/models/Broadcast.md)
 - [BroadcastAction](docs/models/BroadcastAction.md)
 - [BroadcastActionRequest](docs/models/BroadcastActionRequest.md)
 - [BroadcastRequest](docs/models/BroadcastRequest.md)
 - [Campaign](docs/models/Campaign.md)
 - [CampaignAction](docs/models/CampaignAction.md)
 - [CampaignActionRequest](docs/models/CampaignActionRequest.md)
 - [CampaignRequest](docs/models/CampaignRequest.md)
 - [ContactList](docs/models/ContactList.md)
 - [ContactListRequest](docs/models/ContactListRequest.md)
 - [DeliveryReport](docs/models/DeliveryReport.md)
 - [DeliveryReportRequest](docs/models/DeliveryReportRequest.md)
 - [FacebookSettings](docs/models/FacebookSettings.md)
 - [FacebookSettingsRequest](docs/models/FacebookSettingsRequest.md)
 - [Integration](docs/models/Integration.md)
 - [MailchimpActionActorRequest](docs/models/MailchimpActionActorRequest.md)
 - [MailchimpActionObjectRequest](docs/models/MailchimpActionObjectRequest.md)
 - [MailchimpActionRequest](docs/models/MailchimpActionRequest.md)
 - [MailchimpActionTargetRequest](docs/models/MailchimpActionTargetRequest.md)
 - [MailchimpSettings](docs/models/MailchimpSettings.md)
 - [MailchimpSettingsRequest](docs/models/MailchimpSettingsRequest.md)
 - [Note](docs/models/Note.md)
 - [NoteCreateUpdateRequest](docs/models/NoteCreateUpdateRequest.md)
 - [PaginatedPersonList](docs/models/PaginatedPersonList.md)
 - [Person](docs/models/Person.md)
 - [PersonAction](docs/models/PersonAction.md)
 - [PersonActionRequest](docs/models/PersonActionRequest.md)
 - [PersonPart](docs/models/PersonPart.md)
 - [PersonRequest](docs/models/PersonRequest.md)
 - [PersonTag](docs/models/PersonTag.md)
 - [PersonTagRequest](docs/models/PersonTagRequest.md)
 - [PolyActionRequest](docs/models/PolyActionRequest.md)
 - [PromptActionActorRequest](docs/models/PromptActionActorRequest.md)
 - [PromptActionObjectRequest](docs/models/PromptActionObjectRequest.md)
 - [PromptActionRequest](docs/models/PromptActionRequest.md)
 - [PromptActionTargetRequest](docs/models/PromptActionTargetRequest.md)
 - [PromptSettings](docs/models/PromptSettings.md)
 - [PromptSettingsRequest](docs/models/PromptSettingsRequest.md)
 - [PublicIntegration](docs/models/PublicIntegration.md)
 - [PublicIntegrationRequest](docs/models/PublicIntegrationRequest.md)
 - [PullJob](docs/models/PullJob.md)
 - [PullJobRequest](docs/models/PullJobRequest.md)
 - [RevvActionActorRequest](docs/models/RevvActionActorRequest.md)
 - [RevvActionObjectRequest](docs/models/RevvActionObjectRequest.md)
 - [RevvActionRequest](docs/models/RevvActionRequest.md)
 - [RevvActionTargetRequest](docs/models/RevvActionTargetRequest.md)
 - [RevvSettings](docs/models/RevvSettings.md)
 - [RevvSettingsRequest](docs/models/RevvSettingsRequest.md)
 - [Task](docs/models/Task.md)
 - [TaskCreateUpdateRequest](docs/models/TaskCreateUpdateRequest.md)
 - [Tenant](docs/models/Tenant.md)
 - [TenantRequest](docs/models/TenantRequest.md)
 - [TenantUserPart](docs/models/TenantUserPart.md)
 - [Tweet](docs/models/Tweet.md)
 - [TweetAction](docs/models/TweetAction.md)
 - [TweetActionRequest](docs/models/TweetActionRequest.md)
 - [TweetRequest](docs/models/TweetRequest.md)
 - [Tweeter](docs/models/Tweeter.md)
 - [TweeterAction](docs/models/TweeterAction.md)
 - [TweeterActionRequest](docs/models/TweeterActionRequest.md)
 - [TweeterRequest](docs/models/TweeterRequest.md)
 - [TwitterActionActorRequest](docs/models/TwitterActionActorRequest.md)
 - [TwitterActionObjectRequest](docs/models/TwitterActionObjectRequest.md)
 - [TwitterActionRequest](docs/models/TwitterActionRequest.md)
 - [TwitterActionTargetRequest](docs/models/TwitterActionTargetRequest.md)
 - [TwitterSettings](docs/models/TwitterSettings.md)
 - [TwitterSettingsRequest](docs/models/TwitterSettingsRequest.md)
 - [UserProfileAction](docs/models/UserProfileAction.md)
 - [UserProfileActionRequest](docs/models/UserProfileActionRequest.md)
 - [VendorAction](docs/models/VendorAction.md)
 - [VendorActionRequest](docs/models/VendorActionRequest.md)
 - [WhatsappSettings](docs/models/WhatsappSettings.md)
 - [WhatsappSettingsRequest](docs/models/WhatsappSettingsRequest.md)

## Documentation For Authorization


## basicAuth

- **Type**: HTTP basic authentication


## cookieAuth

- **Type**: API key
- **API key parameter name**: sessionid
- **Location**: 


## firebaseAuth

- **Type**: Bearer authentication (JWT)

 Authentication schemes defined for the API:
## tokenAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author
















## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in frontrunner_python_sdk.apis and frontrunner_python_sdk.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from frontrunner_python_sdk.apis.default_api import DefaultApi`
- `from frontrunner_python_sdk.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import frontrunner_python_sdk
from frontrunner_python_sdk.apis import *
from frontrunner_python_sdk.models import *
```
